* {
    box-sizing: border-box;
}

html,
body {
    scroll-behavior: smooth;
}

body {
    margin: 0;
    background: rgb(63, 94, 251);
    background: radial-gradient(circle, rgba(63, 94, 251, 1) 0%, rgba(252, 70, 107, 1) 100%);

}

.menu {
    display: none;
}

section {
    width: 100vw;
    height: 90vh;
}

main h1:first-child {
    text-align: center;
    font-style: oblique;
    margin-top: 2em;
}

nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    box-shadow: 10px 10px 5px rgba(31, 29, 29, 0.288);
    position: sticky;
    top: 0;
    background-color: whitesmoke;
}

ul {
    list-style-type: none;
    display: block;
}

li {
    display: inline;
    margin-right: 1em;
}

a {
    text-decoration: none;
    color: black;
}

img {
    max-width: 50%;
}

#home h1 {
    text-shadow: 2px 2px goldenrod;
    font-size: 2em;
}

#home figure {
    margin-top: 5em;
    display: flex;
    flex-direction: row;
    align-items: center;
}

#home figcaption {
    padding: 0 4em;
}

#paragrafi h2 {
    text-align: center;
    font-size: 1.8em;
}

#paragrafi .cosaOffriamo {
    display: flex;
    margin-top: 7em;
}

#paragrafi p {
    padding: 0 2em;
}

h3 {
    text-align: center;
}

table,
td,
th {
    border: 1px solid black;
    border-collapse: collapse;
    text-align: center;
}

th {
    text-align: center;
}

th,
td {
    padding: 10px;
}

thead tr {
    color: #79712c;
}

thead th:first-child,
th:last-child {
    color: #3a0080;
}

tbody th {
    color: #710d0d;
}

tfoot th:first-of-type {
    text-align: start;
}

table {
    margin: 0 auto;
    height: 60vh;
    width: 90vw;
}

caption {
    text-transform: uppercase;
    font-weight: bold;
    font-size: x-large;
}

#form h2 {
    text-align: center;
}

#form div {
    margin-top: 2em;
}

label {
    display: block;
}

.bi-arrow-up-circle-fill {
    font-size: 3em;
    color: rgb(26, 156, 189);
    position: fixed;
    bottom: 20vh;
    right: 3vw;
}

input {
    box-sizing: border-box;
    font-family: inherit;
    font-size: 14px;
    vertical-align: baseline;
    font-weight: 400;
    line-height: 1.29;
    letter-spacing: .16px;
    border-radius: 4px;
    outline: 2px solid transparent;
    outline-offset: -2px;
    width: 100%;
    height: 40px;
    border: none;
    border-bottom: 1px solid #8d8d8d;
    background-color: rgba(12, 21, 46, 0.753);
    padding: 0 16px;
    color: white;
    transition: background-color 70ms cubic-bezier(.2, 0, .38, .9), outline 70ms cubic-bezier(.2, 0, .38, .9);
}

:focus {
    outline: 2px solid #0f62fe;
    outline-offset: -2px;
}

fieldset {
    display: flex;
    justify-content: space-between;
    align-items: center;

}

fieldset p {
    font-size: 2em;
    margin: auto;
}

#contatore {
    margin: auto;
    text-align: center;
}

button {
    display: inline-block;
    padding: 0.7em 1.4em;
    margin: 0 0.3em 0.3em 0;
    border: none;
    border-radius: 0.5em;
    box-sizing: border-box;
    text-decoration: none;
    font-family: 'arial';
    font-size: 1em;
    text-transform: uppercase;
    font-weight: 400;
    color: #FFFFFF;
    background-color: #FF4233;
    box-shadow: inset 0 -0.6em 0 -0.3em rgba(0, 0, 0, 0.20);
    text-align: center;
    position: relative;
    cursor: pointer;
}

button:hover {
    background: #E64B3E;
}

button:active {
    background: #D7372A;
    top: 0.15em;
    color: #D9D9D9;
    box-shadow: none;
}

/* media query */

@media screen and (max-width: 825px) {
    .menu {
        display: block;
    }

    nav div {
        display: flex;
        flex-direction: column;
        align-items: end;
    }

    ul {
        display: none;
    }

    li {
        display: block;
        margin-top: inherit;
    }

    #home figure {
        display: flex;
        flex-direction: column;
    }

    #home figcaption {
        margin-top: 40px;
        padding: 0 1em;
    }

    img {
        max-width: 90%;
    }

    section {
        width: 100vw;
        min-height: 100vh;
    }

    .divtabella {
        overflow-x: auto;
    }


    #paragrafi {
        margin-top: 5em;
    }

    #paragrafi h2 {
        margin-top: 0;
    }

    #paragrafi p {
        padding: 0 1.1em;
        text-align: center;
    }

    #paragrafi h3 {
        margin-top: 2.5em;
    }

    #paragrafi .cosaOffriamo {
        margin-top: 2em;
        display: flex;
        flex-direction: column;

    }

    fieldset {
        flex-direction: column;
    }

}